### File

`src/lib/login/sign-in-with-email-and-password.method.ts`

### Index

###### Properties

- email
- password
- Optional remember

### Properties

email
`email: `string``
Type : `string`

password
`password: `string``
Type : `string`

remember
`remember: `boolean``
Type : `boolean`
Optional

    import { Injectable } from '@angular/core';
    import { Method } from '@rxap/pattern';

    export interface SignInWithEmailAndPasswordMethodParameters {
      email: string;
      password: string;
      remember?: boolean;
    }

    @Injectable({ providedIn: 'root' })
    export class SignInWithEmailAndPasswordMethod implements Method {

      call(parameters: SignInWithEmailAndPasswordMethodParameters): Promise<void> {
        throw new Error('Method not implemented.');
      }

    }

# results matching ""

# No results matching ""